unit Main;

interface

uses
  Classes, Forms, ComCtrls, StdCtrls, Dialogs,
  Controls, AutoUpgrade;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    ProgressBar: TProgressBar;
    AutoUpgrade: TAutoUpgrade;
    procedure Button1Click(Sender: TObject);
    procedure AutoUpgradeError(Sender: TObject);
    procedure AutoUpgradeProgress(Sender: TObject; TotalSize,
      Readed: Integer);
    procedure AutoUpgradeDone(Sender: TObject; FileSize: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  AutoUpgrade.GetInfo;
end;

procedure TForm1.AutoUpgradeError(Sender: TObject);
begin
  ShowMessage('Connection with server failed.');
end;

procedure TForm1.AutoUpgradeProgress(Sender: TObject; TotalSize,
  Readed: Integer);
begin
  ProgressBar.Visible := True;
  ProgressBar.Max := TotalSize;
  ProgressBar.Position := Readed;
end;

procedure TForm1.AutoUpgradeDone(Sender: TObject; FileSize: Integer);
begin
  ShowMessage('Upgrading has completed successfully.'#13#10'Press Ok to restart.');
end;

end.
